using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace CamlQuery
{
    class Program
    {
        static void Main(string[] args)
        {
            string camlQuery =
                "<Query>" +
                "<Where>" +
                "<Eq>" +
                 "<FieldRef Name=\"Customer_x003a__x0020_LastName\" />" +
                 "<Value Type=\"Text\">Chen</Value>" +
                 "</Eq>" +
                "</Where>" +
                "</Query>";

            SPSite site = new SPSite("http://win2k3r2lab");
            SPWeb testWeb = site.AllWebs["Budget Test Site"];
            SPList bdcList = testWeb.Lists["List with BDC Lookup"];

            SPQuery query = new SPQuery();
            query.Query = camlQuery;
            SPListItemCollection filteredItems =
                bdcList.GetItems(query);

            Console.WriteLine("Found {0} items in query.", filteredItems.Count);
            foreach (SPListItem item in filteredItems)
            {
                Console.WriteLine("Found customer: {0} {1}",
                    item["Customer"],
                    item["Customer: LastName"]);
            }

            Console.ReadLine();

        }
    }
}
