using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace ListBdcLookup
{
class Program
{
static void Main(string[] args)
{
    SPSite site = new SPSite("http://win2k3r2lab/");
    SPWeb web = site.AllWebs["Budget Test Site"];
    SPList bdcList = web.Lists["List with BDC Lookup"];
    foreach (SPListItem item in bdcList.Items)
    {
        Console.WriteLine("Item {0}", item.Title);
        foreach (SPField field in item.Fields)
        {
            Console.WriteLine("\t{0} ({1}) : {2}", field.Title, field.InternalName,
                item[field.Id]);
        }                
    }

    // test directly accessing members from BDC lookups
    SPListItem firstItem = bdcList.Items[0];
    Console.WriteLine(firstItem["Customer"]);
    // access field using friendly name
    Console.WriteLine(firstItem["Customer: LastName"]);
    // access field using internal name
    Console.WriteLine(firstItem["Customer_x003a__x0020_LastName"]);

    Console.ReadLine();
}
}
}
