using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace VersioningExample
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite site = new SPSite("http://win2k3r2lab");
            SPWeb web = site.AllWebs["Budget Test Site"];

            SPList docLib = web.Lists["Budget Repository"];


            SPFolder folder = docLib.RootFolder;
            SPFile theFile =
                folder.Files["Budget Repository/sample text file.txt"];
            Console.WriteLine("About to make changes to {0}", theFile.Name);

            // once we have the file reference, check it out, make changes
            // and check it back in.

            theFile.CheckOut();
            theFile.SaveBinary(
                ASCIIEncoding.Default.GetBytes(
                "This file has been modified programmatically."));
            theFile.Update();
            theFile.CheckIn("File was modified programmatically.");            

            Console.ReadLine();
            
        }
    }
}
