using System;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Administration;
using System.Collections.Generic;
using System.Text;

namespace SolutionManagement
{
    class Program
    {
        static void Main(string[] args)
        {
            string dbConn = @"server=localhost\OfficeServers;initial catalog=SharePoint_Config_66140120-a9bf-4191-86b6-ec21810ca019;Integrated Security=SSPI;";            
            SPFarm farm = SPFarm.Open(dbConn);

            Console.WriteLine("Solution:\tCAS Policy\tGAC Assembly\tWeb Resource\n");
            foreach (SPSolution solution in farm.Solutions)
            {
                Console.WriteLine("{0}:\t{1}\t{2}\t{3}",
                    solution.DisplayName,
                    solution.ContainsCasPolicy,
                    solution.ContainsGlobalAssembly,
                    solution.ContainsWebApplicationResource);
                foreach (SPServer deployedServer in solution.DeployedServers)
                {
                    Console.WriteLine("\t\tDeployed to {0}", deployedServer.DisplayName);
                }                    
            }

            Console.ReadLine();
        }
    }
}
