using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace EnumListItems
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite rootSite = new SPSite("http://win2k3r2lab");
            SPWeb web = rootSite.AllWebs["Budget Test Site"];

            SPList taskList = web.Lists["Tasks"];
            foreach (SPListItem item in taskList.Items)
            {
                Console.WriteLine("--- {0}:\n\tStatus:{1}\n\tProgress:{2}%\n\tDue Date:{3}",
                    item.Title,
                    item["Status"],
                    (double)item["PercentComplete"] * 100,
                    item["DueDate"]);
            }

            Console.ReadLine();
        }
    }
}
