using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Utilities;

namespace ListItemManipulation
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite rootSite = new SPSite("http://win2k3r2lab");
            SPWeb web = rootSite.AllWebs["Budget Test Site"];

            SPList taskList = web.Lists["Custom Task List"];

            SPListItem newTask = taskList.Items.Add();
            newTask["Title"] = "Finish SharePoint 2010 Unleashed";
            newTask["DueDate"] = SPUtility.CreateISO8601DateTimeFromSystemDateTime(DateTime.Now.AddDays(30));
            newTask["PercentComplete"] = 0.1;
            newTask.Update();

            SPListItem newTask = taskList.Items.Add();
            newTask["Title"] = "This will be deleted.";
            newTask.Delete();

            taskList.Update();

            Console.WriteLine("List item manipulation completed.");
            Console.ReadLine();
        }
    }
}
