using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace ListManipulation
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite rootSite = new SPSite("http://win2k3r2lab");
            SPWeb rootWeb = rootSite.AllWebs["Budget Test Site"];


            SPListTemplate sourceTemplate = rootWeb.ListTemplates["Tasks"];

            Guid newListGuid = rootWeb.Lists.Add("Custom Task List", 
                "Custom Task List", sourceTemplate);
            Guid secondNewListGuid = rootWeb.Lists.Add("Second Task List",
                "Second Task List", sourceTemplate);

            SPList newList = rootWeb.Lists[newListGuid];
            SPList secondNewList = rootWeb.Lists[secondNewListGuid];

            secondNewList.Delete();
            newList.Description = "Modified Custom Task List";
            newList.Update();

            Console.WriteLine("List manipulations complete.");
                        

            Console.ReadLine();

        }
    }
}
