using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.Meetings;

namespace MeetingCreate
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite rootSite = new SPSite("http://win2k3r2lab");
            SPWeb budgetWeb = rootSite.AllWebs["Budget Test Site"];
            SPWeb mwsWeb = budgetWeb.Webs["statusmeeting06"];            
            short meetingCount = 0;

            SPMeeting meeting = SPMeeting.GetMeetingInformation(mwsWeb);            
            
            Console.WriteLine("Meeting count is {0} for instance {1}",
                meeting.MeetingCount, meeting.InstanceId);

            meeting.Add(
                "alothien@gmail.com",
                Guid.NewGuid().ToString(),
                1,
                "20061108T110100Z",
                "Status Check Meeting",
                "Conference Room Alpha",                
                "20061109T180000Z",
                "20061109T190000Z",
                false, out meetingCount); 

            Console.WriteLine("Meeting created.");
            Console.ReadLine();
        }
    }
}
