using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace MwsCreate
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite rootSite = new SPSite("http://win2k3r2lab");
            SPWeb budgetWeb = rootSite.AllWebs["Budget Test Site"];
            
            SPWebTemplateCollection availTemplates =
                budgetWeb.GetAvailableWebTemplates(1033);
            SPWebTemplate mwsTemplate = availTemplates["MPS#0"];

            budgetWeb.Webs.Add(
                "statusMeeting06",
                "Status Meeting",
                "Recurring Meeting to discuss FY 2006 Budget Status",
                1033,
                mwsTemplate,
                false,
                false);

            Console.WriteLine("Status meeting workspace created.");
            Console.ReadLine();
        }
    }
}
