using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace WebCreation
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite parentSite = new SPSite("http://win2k3r2lab/sites/TestNewSite");

           SPWebTemplateCollection webTemplates = parentSite.GetWebTemplates(1033);
            SPWebTemplate blogTemplate = webTemplates["BLOG#0"];
          
            SPWeb blogWeb = parentSite.AllWebs.Add(
                "blog",
                "Test Site Blog",
                "This is the blog for the new site",
                1033,
                blogTemplate,
                false,
                false);


            Console.WriteLine("Blog created.");
            
            Console.ReadLine();
        }
    }
}
