using System;
using System.Collections.Generic;
using System.Text;
using EnumInstances.win2k3r2lab;

namespace EnumInstances
{
    class Program
    {
        static void Main(string[] args)
        {
            BdcWebService bdc = new BdcWebService();
            bdc.Credentials = System.Net.CredentialCache.DefaultCredentials;

            win2k3r2lab.LobSystemInstanceStruct[] instances = bdc.GetLobSystemInstances();
            foreach (LobSystemInstanceStruct lobInstance in instances)
            {
                Console.WriteLine("{0} - {1}", lobInstance.lobSystemId, lobInstance.name);
                Console.WriteLine(lobInstance.id);
                for (int x = 0; x < lobInstance.propertyValues.Length; x++)
                {
                    Console.Write("\t{0} : {1}", lobInstance.propertyNames[x],
                        lobInstance.propertyValues[x]);
                    Console.WriteLine();
                }                
            }

            Console.ReadLine();
        }
    }
}
