using System;
using System.Collections.Generic;
using System.Text;
using GetEntities.win2k3r2lab;

namespace GetEntities
{
    class Program
    {
        static void Main(string[] args)
        {
            BdcWebService bdc = new GetEntities.win2k3r2lab.BdcWebService();
            bdc.Credentials = System.Net.CredentialCache.DefaultCredentials;

            // on my machine, lob system ID is 339, lob system instance is 340
            EntityStruct[] entities = bdc.GetEntitiesForLobSystemInstance(340);
            foreach (EntityStruct entity in entities)
            {
                Console.WriteLine(entity.name);
                for (int x = 0; x < entity.propertyNames.Length; x++)
                {
                    Console.WriteLine("\t{0} : {1}", entity.propertyNames[x],
                        entity.propertyValues[x]);            
                }
            }

            Console.ReadLine();
        }
    }
}
