using System;
using System.Xml;
using System.Collections.Generic;
using System.Text;

namespace GetListItemsQuery
{
    class Program
    {
        static void Main(string[] args)
        {
            win2k3r2lab.Lists listService = new GetListItemsQuery.win2k3r2lab.Lists();
            listService.Credentials = new System.Net.NetworkCredential("Administrator", "password");
            listService.Url = "http://win2k3r2lab/sitedirectory/research/_vti_bin/lists.asmx";

            XmlDocument doc = new XmlDocument();

            XmlElement query = doc.CreateElement("Query");
            query.InnerXml =
                "<OrderBy>" +
                    "<FieldRef Name=\"Title\"/>"+
                "</OrderBy>"+
                "<Where>" +
                    "<Eq>" +
                        "<FieldRef Name=\"First_x0020_Name\"/>" +
                        "<Value Type=\"Text\">Bob</Value>"+
                    "</Eq>"+
                "</Where>";

            XmlNode results = listService.GetListItems("Updated List Title", "", query, null, "0", null, "");
            Console.WriteLine(results.OuterXml);

            foreach (XmlNode item in results.SelectNodes("//*[local-name()='row']"))
            {
                Console.WriteLine(
                    string.Format("{0} : {1}",
                    item.Attributes.GetNamedItem("ows_Title").Value,
                    item.Attributes.GetNamedItem("ows_Full_x0020_Name").Value));
            }
            Console.ReadLine();

        }
    }
}
