using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace SPFileSubmit
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite site = new SPSite("http://win2k3r2lab");
            SPWeb budgetWeb = site.AllWebs["Budget Test Site"];
            SPDocumentLibrary budgetFiles = (SPDocumentLibrary)budgetWeb.Lists["Budget Repository"];

            SPFile fileToSubmit = budgetFiles.RootFolder.Files["http://win2k3r2lab/budget test site/budget repository/test document.docx"];            
            string additionalInfo;
            fileToSubmit.SendToOfficialFile(out additionalInfo);
            Console.WriteLine("File " + fileToSubmit.Url + " submitted to official file:\n{0}",
                additionalInfo);

            Console.ReadLine();
        }
    }
}
