using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace EnumUsersAndGroups
{
    public class AppModel
    {
        private static ObservableCollection<SecurityGroup> _groups;
        private static ObservableCollection<SecurityUser> _users;

        static AppModel()
        {
            _groups = new ObservableCollection<SecurityGroup>();
            _users = new ObservableCollection<SecurityUser>();
        }

        public ObservableCollection<SecurityGroup> Groups
        {
            get
            {
                return _groups;
            }
            set
            {
                _groups = value;
            }
        }

        public ObservableCollection<SecurityUser> Users
        {
            get { return _users; }
            set
            {
                _users = value;
            }
        }
    }
}
