using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.SharePoint;

namespace DocLibBrowser
{
    public partial class DocLibPicker : Form
    {
        SPWeb sourceWeb;
        List<SPDocumentLibrary> docLibs;

        public DocLibPicker(SPWeb _source)
        {
            InitializeComponent();
            docLibs = new List<SPDocumentLibrary>();
            sourceWeb = _source;

            foreach (SPList theList in sourceWeb.Lists)
            {
                if (theList is SPDocumentLibrary)
                {
                    docLibs.Add(theList as SPDocumentLibrary);
                    docLibList.Items.Add(theList.Title);                    
                }
            }
        }

        private void selectButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        public SPDocumentLibrary SelectedLibrary
        {
            get
            {
                return docLibs[docLibList.SelectedIndex];
            }
        }
    }
}