using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace EnumLists
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite site = new SPSite("http://win2k3r2lab/Budget Test Site");
            SPWeb web = site.AllWebs[0];
            foreach (SPList list in web.Lists)
            {                
                Console.WriteLine("{0}{1} - {2} items.", 
                    list.Hidden ? "*" : "",
                    list.Title, list.ItemCount);
                Console.WriteLine("Created by {0}", list.Author.Name);
                Console.WriteLine("{0}", list.Description);
                Console.WriteLine("----------------------------------------------------");
            }
            Console.WriteLine("\n{0} lists found.", web.Lists.Count);
            Console.ReadLine();
        }
    }
}
