using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace MeetingAccess
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite rootSite = new SPSite("http://win2k3r2lab");
            SPWeb budgetWeb = rootSite.AllWebs["Budget Test Site"];
            SPWeb workspaceWeb = budgetWeb.Webs["Management Lunch"];
            
            /*foreach (SPList list in workspaceWeb.Lists)
            {
                Console.WriteLine("{0}\n\t", list.Title);
                foreach (SPField field in list.Fields)
                {
                    Console.Write(field.StaticName + ", ");
                }
                Console.WriteLine();
            } */
          
            SPList meetingSeries = workspaceWeb.Lists["Meeting Series"];
            foreach (SPListItem listItem in meetingSeries.Items)
            {
                Console.WriteLine(
                    "\n-------\n{0}\n{1}\n{2}\n{3}\n{4}\n{5}\n{6}\n{7}\n{8}\n{9}\n{10}\n{11}\n{12}\n{13}\n------\n",
                    listItem["Title"],
                    listItem["Order"],
                    listItem["UniqueId"],
                    listItem["EventType"],
                    listItem["EventDate"],
                    listItem["EndDate"],                    
                    listItem["Duration"],
                    listItem["Location"],
                    listItem["TimeZone"],
                    listItem["fRecurrence"],
                    listItem["Sequence"],
                    listItem["Organizer"],
                    listItem["EventUrl"],
                    listItem["RecurrenceData"]);
            }
            Console.ReadLine();
        }
    }
}
