using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Meetings;

namespace RecurrenceCheck
{
    class Program
    {
        static void Main(string[] args)
        {
            SPSite rootSite = new SPSite("http://win2k3r2lab");
            SPWeb budgetWeb = rootSite.AllWebs["Budget Test Site"];

            SPWeb lunchWeb = budgetWeb.Webs["Management Lunch"];
            SPList meetingSeries = lunchWeb.Lists["Meeting Series"];
            foreach (SPListItem meeting in meetingSeries.Items)
            {
                Console.WriteLine("({0}) {1}: {2}",
                    meeting["RecurrenceID"],
                    meeting["InstanceID"],
                    meeting["InstanceID"].GetType().ToString());
            }            

            Console.ReadLine();
        }
    }
}
