using System;
using System.Collections.Generic;
using System.Text;
using FilterDescriptors.win2k3r2lab;

namespace FilterDescriptors
{
    class Program
    {
        static void Main(string[] args)
        {
            BdcWebService bdc = new BdcWebService();
            bdc.Credentials = System.Net.CredentialCache.DefaultCredentials;

            FilterDescriptorStruct[] filterDescriptors =
                bdc.GetFilterDescriptorsForMethod(394);
            foreach (FilterDescriptorStruct filter in filterDescriptors)
            {
                Console.WriteLine(filter.name);
                for (int x = 0; x < filter.propertyNames.Length; x++)
                {
                    Console.WriteLine("\t{0} ({1}) : {2}", filter.propertyNames[x],
                        filter.propertyTypes[x],
                        filter.propertyValues[x]);
                }
            }
            Console.ReadLine();
        }
    }
}
