using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            localhost.Dws dws = new ConsoleApplication1.localhost.Dws();
            dws.Credentials = new System.Net.NetworkCredential("Administrator", "password");

            string modifiedUrl = dws.CanCreateDwsUrl("FY 2006&2007 Budget");
            Console.WriteLine(modifiedUrl);
            string result = dws.CreateDws(string.Empty, string.Empty, "FY 2006&2007 Budget", string.Empty);
            XmlDocument doc = new XmlDocument();
            doc.LoadXml(result);
            Console.WriteLine("DWS Created. Doclib URL: {0}",
                doc.SelectSingleNode("//DoclibUrl").InnerText);

            // attach to the DWS Web Service of the newly created wbsite
            XmlDocument doc2 = new XmlDocument();
            doc2.LoadXml(modifiedUrl);
            string newUrl = doc2.SelectSingleNode("//Result").InnerText;
            dws.Url = "http://localhost/" + newUrl + "/_vti_bin/dws.asmx";
            dws.DeleteDws();
            Console.WriteLine("DWS @ " + newUrl + " Deleted.");
            Console.ReadLine();
        }
    }
}
