using System;
using System.Xml;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DwsMetaData
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            localhost.Dws docService = new localhost.Dws();
            docService.Url = "http://localhost/budget/_vti_bin/dws.asmx";
            docService.Credentials = System.Net.CredentialCache.DefaultCredentials;

            string metaData = docService.GetDwsMetaData(@"Shared Documents\Budget.docx", "", false);
            
            XmlDocument doc = new XmlDocument();
            doc.LoadXml(metaData);
            foreach (XmlNode node in doc.DocumentElement.ChildNodes)
            {
                ListViewItem lvi = new ListViewItem();
                lvi.Text = node.Name;
                lvi.SubItems.Add(node.InnerXml);
                listView1.Items.Add(lvi);    
            }
            //MessageBox.Show(metaData);
            
        }
    }
}