using System;
using System.Xml;
using System.Collections.Generic;
using System.Text;

namespace ItemUpdater
{
    class Program
    {
        static void Main(string[] args)
        {
            win2k3r2lab.Lists listService = new ItemUpdater.win2k3r2lab.Lists();
            listService.Credentials = new System.Net.NetworkCredential("Administrator", "password");
            listService.Url = "http://win2k3r2lab/sitedirectory/research/_vti_bin/lists.asmx";            

            XmlDocument doc = new XmlDocument();
            XmlElement batchelement = doc.CreateElement("Batch");
            batchelement.SetAttribute("OnError", "Continue");
            batchelement.SetAttribute("ListVersion", "1");

            batchelement.InnerXml =
               "<Method ID=\"1\" Cmd=\"New\"> " +
               "<Field Name=\"Title\">This is a new item</Field>" +
                "<Field Name=\"First_x0020_Name\">Bob</Field>" +
                "<Field Name=\"Last_x0020_Name\">Jones</Field>" + 
               "</Method>"+
                "<Method ID=\"2\" Cmd=\"Update\">" +
                "<Field Name=\"ID\">4</Field>" +
                "<Field Name=\"Title\">Title Changed!</Field>" +
                "</Method>" +
                "<Method ID=\"3\" Cmd=\"Delete\">" +
                "<Field Name=\"ID\">4</Field>" +
                "</Method>";

            XmlNode results = listService.UpdateListItems("Updated List Title", batchelement);
            Console.WriteLine(results.OuterXml);
            Console.ReadLine();
        }
    }
}
