using System;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace SAMS.SharePoint.Tools.ListLibrary
{
    public class SharePointListFieldAttribute : Attribute
    {
        private string _fieldName = string.Empty;

        public SharePointListFieldAttribute()
        {
        }

        public SharePointListFieldAttribute(string fieldName)
        {
            _fieldName = fieldName;
        }

        public string FieldName
        {
            get { return _fieldName; }
            set { _fieldName = value; }
        }
    }
}
