using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace EnumUsersAndGroups
{
    public class SecurityGroup : INotifyPropertyChanged
    {
        private string _groupName;
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        public string GroupName
        {
            get
            {
                return _groupName;
            }
            set
            {
                _groupName = value;
                NotifyChanged("GroupName");
            }
        }



        private void NotifyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    } 
    
}
