using System;
using System.Collections.Generic;
using System.Text;

namespace AddWebParts
{
    class Program
    {
        static void Main(string[] args)
        {
            win2k3r2lab.WebPartPagesWebService webPartSvc =
                new AddWebParts.win2k3r2lab.WebPartPagesWebService();

            webPartSvc.Credentials= 
                System.Net.CredentialCache.DefaultCredentials;

            string newPartXml =                 
                    "<?xml version=\"1.0\" ?>\n" +   
                    "<WebPart xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\""+
                    " xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\""+
                    " xmlns=\"http://schemas.microsoft.com/WebPart/v2\">\n" +
                    "<Title>Content Editor Web Part</Title>\n  " +
                    "<FrameType>Default</FrameType>\n  " +
                    "<Description>Use for formatted text, tables, and images.</Description>\n  " +
                    "<IsIncluded>true</IsIncluded>\n  " +
                    "<ZoneID>Header</ZoneID>\n  " +
                    "<PartOrder>1</PartOrder>\n  " +
                    "<FrameState>Normal</FrameState>\n  " +
                    "<Height />\n  " +
                    "<Width />\n  " +
                    "<AllowRemove>true</AllowRemove>\n  " +
                    "<AllowZoneChange>true</AllowZoneChange>\n  " +
                    "<AllowMinimize>true</AllowMinimize>\n  " +
                    "<IsVisible>true</IsVisible>\n  " +
                    "<DetailLink />\n  " +
                    "<HelpLink />\n  " +
                    "<Dir>Default</Dir>\n  " +
                    "<PartImageSmall />\n  " +
                    "<MissingAssembly />\n  " +
                    "<PartImageLarge>/_layouts/images/mscontl.gif</PartImageLarge>\n  " +
                    "<IsIncludedFilter />\n  " +
                    "<Assembly>Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, " +
                        "PublicKeyToken=71e9bce111e9429c</Assembly>\n  " +
                    "<TypeName>Microsoft.SharePoint.WebPartPages.ContentEditorWebPart</TypeName>\n  " +
                    "<ContentLink " +
                        "xmlns=\"http://schemas.microsoft.com/WebPart/v2/ContentEditor\" />\n  " +
                    "<Content "+
                        "xmlns=\"http://schemas.microsoft.com/WebPart/v2/ContentEditor\"><![CDATA["+
                        "<P>Content created <b><i>programmatically</b></i></P>" +
                      "]]></Content>\n  " +
                    "<PartStorage "+
                        "xmlns=\"http://schemas.microsoft.com/WebPart/v2/ContentEditor\" />\n</WebPart>";

            Guid newPartGuid = 
                webPartSvc.AddWebPart("http://win2k3r2lab/budget test site/default.aspx", newPartXml, AddWebParts.win2k3r2lab.Storage.Shared);

            Console.WriteLine("Added a new part with guid {0} to default.aspx", 
                newPartGuid.ToString());

            Console.ReadLine();

        }
    }
}
