using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace GetWebPart
{
    class Program
    {
        static void Main(string[] args)
        {
            Guid partGuid = new Guid("{e4db1683-4723-455b-acaf-64ded220dc80}");

            win2k3r2lab.WebPartPagesWebService partSvc =
                new GetWebPart.win2k3r2lab.WebPartPagesWebService();
            partSvc.Credentials =
                System.Net.CredentialCache.DefaultCredentials;

            string x = partSvc.GetWebPart(
                "http://win2k3r2lab/budget test site/default.aspx",
                partGuid,
                GetWebPart.win2k3r2lab.Storage.Shared);

            XmlDocument doc = new XmlDocument();
            doc.LoadXml(x);
            foreach (XmlNode node in doc.DocumentElement.ChildNodes)
            {
                if (node.LocalName.ToLower() == "content")
                {
                    Console.WriteLine(node.InnerXml);
                }
            }            
            
            Console.ReadLine();
        }
    }
}
