using System;
using System.Collections.Generic;
using System.Text;

namespace SavePart
{
    class Program
    {
        static void Main(string[] args)
        {
            Guid partGuid = new Guid("{e4db1683-4723-455b-acaf-64ded220dc80}");

            win2k3r2lab.WebPartPagesWebService partSvc =
                new SavePart.win2k3r2lab.WebPartPagesWebService();
            partSvc.Credentials =
                System.Net.CredentialCache.DefaultCredentials;

            string partXml =
                "<?xml version=\"1.0\" ?>\n" +
                "<WebPart xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" "+
                " xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"" +
                " xmlns=\"http://schemas.microsoft.com/WebPart/v2\">\n" +
                "<Title>Content Editor Web Part</Title>\n  " +
                "<FrameType>Default</FrameType>\n  " +
     "<Description>Use for formatted text, tables, and images.</Description>\n  " +
     "<IsIncluded>true</IsIncluded>\n  " +
     "<ZoneID>Header</ZoneID>\n  " +
     "<PartOrder>1</PartOrder>\n  " +
     "<FrameState>Normal</FrameState>\n  " +
     "<Height />\n  " +
     "<Width />\n  " +
     "<AllowRemove>true</AllowRemove>\n  " +
     "<AllowZoneChange>true</AllowZoneChange>\n  " +
     "<AllowMinimize>true</AllowMinimize>\n  " +
     "<IsVisible>true</IsVisible>\n  " +
     "<DetailLink />\n  " +
     "<HelpLink />\n  " +
     "<Dir>Default</Dir>\n  " +
     "<PartImageSmall />\n  " +
     "<MissingAssembly />\n  " +
     "<PartImageLarge>/_layouts/images/mscontl.gif</PartImageLarge>\n  " +
     "<IsIncludedFilter />\n  " +
     "<Assembly>Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c</Assembly>\n  " +
     "<TypeName>Microsoft.SharePoint.WebPartPages.ContentEditorWebPart</TypeName>\n  " +
     "<ContentLink xmlns=\"http://schemas.microsoft.com/WebPart/v2/ContentEditor\" />\n  " +
     "<Content " +
       "xmlns=\"http://schemas.microsoft.com/WebPart/v2/ContentEditor\">" +
       "<![CDATA[" +
       "<P>Content <B><i><u>modified</b></i></u> programmatically.</P> "+
       "]]></Content>\n  " +
     "<PartStorage xmlns=\"http://schemas.microsoft.com/WebPart/v2/ContentEditor\" />\n</WebPart>";


            partSvc.SaveWebPart(
                "http://win2k3r2lab/budget test site/default.aspx",
                partGuid,
                partXml,
                SavePart.win2k3r2lab.Storage.Shared);
        }
    }
}
